"""
This family file was auto-generated by generate_family_file.py script.

Configuration parameters:
  url = https://nonsa.pl/wiki/Strona_g%C5%82%C3%B3wna
  name = nonsensopedia

"""
from pywikibot import family, config


config.family_files['dane'] = 'https://dane.nonsa.pl/api.php'


class Nonsensopedia(family.Family):
    name = "nonsensopedia"
    langs = {
        'pl': 'nonsa.pl',
        'ar': 'beidipedia.miraheze.org',
        'cs': 'necyklopedie.org',
        'da': 'spademanns.fandom.com',
        'de': 'de.uncyclopedia.co',
        'en': 'en.uncyclopedia.co',
        'en-gb': 'uncyclopedia.ca',
        'es': 'inciclopedia.org',
        'fr': 'desencyclopedie.org',
        'he': 'eincyclopedia.org',
        'it': 'nonciclopedia.org',
        'nap': 'en.uncyclopedia.co',
        'olb': 'absurdopedia.wiki',
        'ru': 'absurdopedia.net',
        'vi': 'uncyclopedia.ca',
        'zh': 'uncyclopedia.miraheze.org',
    }

    def eventstreams_path(self, code):
        raise NotImplementedError('This family does not support EventStreams')

    def eventstreams_host(self, code):
        raise NotImplementedError('This family does not support EventStreams')

    def scriptpath(self, code):
        return {
            'pl': '',
            'ar': '/w',
            'cs': '/w',
            'da': '',
            'de': '/w',
            'en': '/w',
            'en-gb': '/w',
            'es': '/w',
            'fr': '/w',
            'he': '/w',
            'it': '/w',
            'nap': '/w',
            'olb': '/w',
            'ru': '/w',
            'vi': '/w',
            'zh': '/w',
        }[code]

    def protocol(self, code):
        return {
            'pl': 'https',
            'ar': 'https',
            'cs': 'https',
            'da': 'https',
            'de': 'https',
            'en': 'https',
            'en-gb': 'https',
            'es': 'https',
            'fr': 'https',
            'he': 'https',
            'it': 'https',
            'nap': 'https',
            'olb': 'https',
            'ru': 'https',
            'vi': 'https',
            'zh': 'https',
        }[code]
